io.vertx.reactivex.rabbitmq

## Class Envelope

- java.lang.Object
- - io.vertx.reactivex.rabbitmq.Envelope

-     public class Envelope
      extends Object

  Like `Envelope`.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<Envelope>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Envelope(Envelope delegate)`
    `Envelope(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `deliveryTag()` Get the delivery tag included in this parameter envelope
    `boolean` | `equals(Object o)`
    `String` | `exchange()` Get the name of the exchange included in this parameter envelope
    `Envelope` | `getDelegate()`
    `int` | `hashCode()`
    `boolean` | `isRedelivery()` Get the redelivery flag included in this parameter envelope.
    `static Envelope` | `newInstance(Envelope arg)`
    `String` | `routingKey()` Get the routing key included in this parameter envelope
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<Envelope> __TYPE_ARG

  - ### Constructor Detail

    - #### Envelope

          public Envelope(Envelope delegate)

    - #### Envelope

          public Envelope(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public Envelope getDelegate()

    - #### deliveryTag

          public long deliveryTag()

      Get the delivery tag included in this parameter envelope
      Returns:
        the delivery tag

    - #### isRedelivery

          public boolean isRedelivery()

      Get the redelivery flag included in this parameter envelope. This is a hint as to whether this message may have been delivered before (but not acknowledged). If the flag is not set, the message definitely has not been delivered before. If it is set, it may have been delivered before.
      Returns:
        the redelivery flag

    - #### exchange

          public String exchange()

      Get the name of the exchange included in this parameter envelope
      Returns:
        the exchange

    - #### routingKey

          public String routingKey()

      Get the routing key included in this parameter envelope
      Returns:
        the routing key

    - #### newInstance

          public static Envelope newInstance(Envelope arg)

Copyright © 2022 Eclipse. All rights reserved.